Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ispace.event
Class ContactEvent

    java.lang.Object
      java.util.EventObject
          ix.ispace.event.ContactEvent

All Implemented Interfaces:
  java.io.Serializable

    public class ContactEvent

extends java.util.EventObject

A change in what we know about another agent.

Exactly one of the following should return true:

- `isNewContact()`
- `isDeletion()`
- `isRelationshipChange()`
- `isCapabilityChange()`

See Also:
  Serialized Form

Field Summary
`protected AgentData` | `newData`
`protected AgentData` | `oldData`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ContactEvent(ContactManager source, AgentData oldData, AgentData newData)`

Method Summary
`AgentData` | `getNewData()`
`AgentData` | `getOldData()`
`boolean` | `isCapabilityChange()`
`boolean` | `isDeletion()`
`boolean` | `isNewCapability(Capability c)`
`boolean` | `isNewContact()`
`boolean` | `isRelationshipChange()`
`java.lang.String` | `toString()`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### oldData

    protected AgentData oldData

### newData

    protected AgentData newData

Constructor Detail

### ContactEvent

    public ContactEvent(ContactManager source,
                        AgentData oldData,
                        AgentData newData)

Method Detail

### getOldData

    public AgentData getOldData()

### getNewData

    public AgentData getNewData()

### isNewContact

    public boolean isNewContact()

### isDeletion

    public boolean isDeletion()

### isRelationshipChange

    public boolean isRelationshipChange()

### isCapabilityChange

    public boolean isCapabilityChange()

### isNewCapability

    public boolean isNewCapability(Capability c)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.util.EventObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD